#include<bits/stdc++.h>
#define ll long long
const int nmax=1500;
using namespace std;
int n,ulaz[nmax][2],ans,br;
array<double,2> pod[nmax*nmax];
int main()
{
	cin >> n;
	for(int i=0;i<n;i++)cin >> ulaz[i][0] >> ulaz[i][1];
	for(int i=0;i<n;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			if(ulaz[j][0]!=ulaz[i][0])pod[br][0]=((double)(ulaz[j][1]-ulaz[i][1]))/(ulaz[j][0]-ulaz[i][0]);
			else pod[br][0]=1e8+1;
			pod[br][1]=sqrt(pow((ulaz[j][1]-ulaz[i][1]),2)+pow((ulaz[j][0]-ulaz[i][0]),2));
			br++;
		}
	}
	sort(pod,pod+br); 
	float k1=pod[0][0];
	int it=0;
	for(int i=1;i<br;i++)
	{
		if(pod[i][0]==pod[it][0])
		{
			if(pod[i][1]*2==pod[it][1] || pod[i][1]==pod[it][1]*2)ans++;
		}
		it++;
	}
	cout << ans;
}